Dancer::Engine(3pm)

NAME
Dancer::Engine - base class for Dancer engines

VERSION
version 1.3522

SYNOPSIS
    my $engine = Dancer::Engine->build( Serializer => 'JSON', $configuration );

DESCRIPTION
Dancer has various engines such Serializer engines, Template engines, Logger engines and Session handlers engines. This is the base class for all Dancer engines.

If you're writing an engine of a common type (such as those mentioned above), you probably want to simply use their base class, which in turn use Dancer::Engine. For example, Template engines inherit from Dancer::Template::Abstract and Serializer engines inherit from Dancer::Serializer::Abstract. Those Abstract base classes inherit from Dancer::Engine.

If a new type of Dancer engine is created, it is best it inherits from this class.

ATTRIBUTES

  name
The name of the engine, such as JSON, or Simple.

  type
The type of the engine, such as Serializer, or Session.

METHODS/SUBROUTINES

  config
Fetches the configuration of the engine.

    my $configuration = $engine->config;

You can only set the configuration at initialization time, not after.

  build
Builds and returns the engine.

    my $engine = Dancer::Engine->build( $type => $name, $config );

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.